Subject: Re: Problem with /bin mount?
From: [email-masked] (Glenn Spell)

12 Jan 1999 02:28:16 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked] (Glenn Spell)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

[email-masked] writes>
> I have yet another question. I think there's a problem with the way I have
> /bin mounted, but I can't figure out what it is.
> From sh, I created the mount like this:
> 
> mkdir /bin
> mount /cygnus/cygwin~1/H-i586~1/bin /bin
> 
> ls /bin lists the files in C:\cygnus\cygwin-b20\H-i586-cygwin32\bin, so
> apparently something about this is right, but there are problems.
> I can't type configure from the sh prompt or the bash prompt to run a
> configure script; I have to type "sh configure" or "bash configure."

If 'configure' is in your current directory, you must type "./configure"
(preferred) or else have "." in your $PATH (not recommended). Otherwise,
you need to give the relative path... "../src/configure".

> Also, the lesstif configuration script still tells me that it can't find ld.

I don't know about 'lesstif', but its 'configure' may be using some
form of "gcc -print-prog-name=ld" to find 'ld'. If so, the output of
that command must be converted to a unix style pathname. If this is
the problem, you can either hardcode the path in 'configure' or look
at line 253 of 'Makefile.in' in the B20.1 winsup sources for a fix.
Use "gcc -print-search-dirs" to see where gcc is looking for 'ld'.

Hope this helps.

-glenn

-- 
            Glenn Spell <[email-masked]>
         Fayetteville, North Carolina, U. S. A.
  ____________________________________________________
  ... blue skies ... happy trails ... sweet dreams ...
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".